Your submission was sent successfully! Close

CVE-2004-1070

Published: 10 January 2005

The load_elf_binary function in the binfmt_elf loader (binfmt_elf.c) in Linux kernel 2.4.x up to 2.4.27, and 2.6.x up to 2.6.8, does not properly check return values from calls to the kernel_read function, which may allow local users to modify sensitive memory in a setuid program and execute arbitrary code.

Priority

Unknown

Status

Package Release Status
linux-source-2.6.15
Launchpad, Ubuntu, Debian
Upstream Needs triage

linux-source-2.6.17
Launchpad, Ubuntu, Debian
Upstream Needs triage